Download it now!
Bug 50889 - EDITING: undo picture deletion fails
Summary: EDITING: undo picture deletion fails
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-08 09:54 UTC by Ronny Standtke
Modified: 2015-03-15 21:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
short video demonstrating the issue (693.99 KB, video/mp4)
2012-06-21 08:06 UTC, Ronny Standtke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ronny Standtke 2012-06-08 09:54:56 UTC
Problem description: 
Undo does not restore removed pictures if the document was saved in between.

Steps to reproduce:
1. Open a presentation containing a picture.
2. Remove the picture.
3. Save the presentation.
4. Undo.
5. Notice that the picture is not restored.

Current behavior:
The picture is not restored.

Expected behavior:
The picture is restored (I just tested, this works in Microsoft Office).

Platform (if different from the browser): 
Linux (Kubuntu-12.04)
Comment 1 bfoman (inactive) 2012-06-21 06:01:07 UTC
Checked with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Could not reproduce.
Comment 2 Ronny Standtke 2012-06-21 08:06:25 UTC
Created attachment 63310 [details]
short video demonstrating the issue

Here is a short video demonstrating how I can always reproduce the issue with LibreOffice 3.5 on Kubuntu 12.04...
Comment 3 Ronny Standtke 2012-06-21 09:05:02 UTC
I just reproduced the issue with the same steps on Windows XP using LibreOffice 3.5.4.2. Therefore this issue is (most probably) not operating system specific.
Comment 4 bfoman (inactive) 2012-06-21 09:35:45 UTC
(In reply to comment #3)
> I just reproduced the issue with the same steps on Windows XP using LibreOffice
> 3.5.4.2. Therefore this issue is (most probably) not operating system specific.

Can you attach the document you are using to reproduce?
Comment 5 bfoman (inactive) 2012-06-22 03:22:58 UTC
(In reply to comment #1)
> Checked with:
> LO 3.5.4.2 
> Build ID: own W7 debug build
> Windows 7 Professional SP1 64 bit
> 
> Could not reproduce.

Tried again and can reproduce when opened file with presentation. 
Undo is working as expected when new presentation is created, then picture added, saved, picture removed, saved.
Comment 6 A (Andy) 2013-04-26 20:12:11 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

UNDO does not restore the picture.  After selecting UNDO I have only a picture placeholder, but not the picture itself.
Comment 7 QA Administrators 2015-03-04 02:23:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1.2 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-03-03
Comment 8 Jean-Baptiste Faure 2015-03-15 21:13:48 UTC
Not reproducible with LibreOffice 4.4.3.0.0+ built at home under Ubuntu 14.10 x86-64.

Closing as WorksForMe. Please, feel free to reopen if you still encounter this issue with one of the current stable versions or the master.

Best regards. JBF